Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161046 - 2 * array subscript out of range
Summary: 2 * array subscript out of range
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: HelixPlayer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 08:04 UTC by David Binderman
Modified: 2008-05-07 00:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:11:36 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-20 08:04:36 UTC
Description of problem:

I just tried to compile package HelixPlayer-1.0.4-4 from Redhat
Fedora Core development tree with a new development version of the
GNU C compiler.

The compiler said

1.

pckunpck.cpp:611: warning: array subscript out of range

The source code is

                char tmpBuf[9];
                SafeStrCpy(tmpBuf, pBufStr, 8);
                tmpBuf[9] = 0;

Clearly broken code. tmpBuf[9] doesn't exist. Suggest either make the
buffer bigger, or change the index from 9 to 8.

2.

hxinfcod.cpp:1357: warning: array subscript out of range

The source code is

	tempBitsIn[3] = (rawChar & 0x3F);

but

UCHAR                   tempBitsIn [TO_MIME_BASE64_BYTES_IN];

and

#define FROM_MIME_BASE64_BYTES_OUT      3
#define TO_MIME_BASE64_BYTES_IN         FROM_MIME_BASE64_BYTES_OUT

Clearly broken code. tempBitsIn[3] doesn't exist. Suggest either make the
buffer bigger, or change the index from 3 to 2.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2008-04-03 16:13:04 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 00:11:34 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.